package com.eactive.eai.rms.onl.statistics.eaibzwkdstcd.daily;

import java.util.HashMap;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;



/**
 * <pre>
 * 1. 기능 : 
 * 2. 처리 개요 : 
 *     - 
 * 3. 주의사항 : 
 * </pre>
 * @author  : music75
 * @version : $Revision: 1.1 $
 * @since : rts 1.0
 * @spring.bean id ="eaiBzwkDstcdDailyService" 
 * @spring.property name="eaiBzwkDstcdDailyDAO" ref="eaiBzwkDstcdDailyDAO"
 */
@Service("eaiBzwkDstcdDailyService")
public class EaiBzwkDstcdDailyService {
	@Autowired
	@Qualifier("eaiBzwkDstcdDailyDAO")
    private EaiBzwkDstcdDailyDAO dao = null;
    
    public HashMap<String, Object> selectByEaiBzwkDstcd(HashMap<String,Object> param) throws Exception{
    	HashMap<String, Object> totalMap = dao.selectListCount(param);
    	
    	List<HashMap<String, Object>> list = dao.selectByEaiBzwkDstcd(param);
    			
    	HashMap<String, Object> map = new HashMap<String, Object>();
    	
		map.put("totalSum", totalMap);
		map.put("list", list);
    	
        return map;
    }

}
